<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Calculate the NNET Result with the Smallest Value from Various Random Starts</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for nnetrandom {BiodiversityR}"><tr><td>nnetrandom {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Calculate the NNET Result with the Smallest Value from Various Random Starts</h2>


<h3>Description</h3>

<p>
This function provides the best solution from various calls to the <code><a href="../../nnet/html/nnet.html">nnet</a></code> feed-forward artificial neural networks function (<STRONG>nnet</STRONG>).
</p>


<h3>Usage</h3>

<pre>
nnetrandom(formula,data,tries=10,leave.one.out=F,...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>formula</code></td>
<td>
Formula as passed to <code><a href="../../nnet/html/nnet.html">nnet</a></code>. </td></tr>
<tr valign="top"><td><code>data</code></td>
<td>
Data as passed to <code><a href="../../nnet/html/nnet.html">nnet</a></code>. </td></tr>
<tr valign="top"><td><code>tries</code></td>
<td>
Number of calls to <code><a href="../../nnet/html/nnet.html">nnet</a></code> to obtain the best solution. </td></tr>
<tr valign="top"><td><code>leave.one.out</code></td>
<td>
Calculate leave-one-out predictions. </td></tr>
<tr valign="top"><td><code>...</code></td>
<td>
Other arguments passed to <code><a href="../../nnet/html/nnet.html">nnet</a></code>. </td></tr>
</table>

<h3>Details</h3>

<p>
This function makes various calls to <code><a href="../../nnet/html/nnet.html">nnet</a></code>. If desired by the user, leave-one-out statistics are provided that report the prediction if one particular sample unit was not used for iterating the networks.
</p>


<h3>Value</h3>

<p>
The function returns the same components as <code><a href="../../nnet/html/nnet.html">nnet</a></code>, but adds the following components:
</p>
<table summary="R argblock">
<tr valign="top"><td><code>range</code></td>
<td>
Summary of the observed "values". </td></tr>
<tr valign="top"><td><code>tries</code></td>
<td>
Number of different attempts to iterate an ANN. </td></tr>
<tr valign="top"><td><code>CV</code></td>
<td>
Predicted class when not using the respective sample unit for iterating ANN. </td></tr>
<tr valign="top"><td><code>succesful</code></td>
<td>
Test whether leave-one-out statistics provided the same class as the original class. </td></tr>
</table>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>Examples</h3>

<pre>
data(faramea)
faramea &lt;- na.omit(faramea)
faramea$presence &lt;- as.numeric(faramea$Faramea.occidentalis &gt; 0)
attach(faramea)
library(nnet)
result &lt;- nnetrandom(presence ~ Elevation, data=faramea, size=2, 
    skip=FALSE, entropy=TRUE, trace=FALSE, maxit=1000, tries=1000, 
    leave.one.out=FALSE)
summary(result)
result$fitted.values
result$value
result2 &lt;- nnetrandom(presence ~ Elevation, data=faramea, size=2, 
    skip=FALSE, entropy=TRUE, trace=FALSE, maxit=1000, tries=50, 
    leave.one.out=TRUE)
result2$range
result2$CV
result2$successful
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
